blob: 1568edb0f74c8706e5a875458a2f7eee992cfb45 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
|
From 1ab0f4608fb749b50aa6f8d8188db23aa8a6e1ac Mon Sep 17 00:00:00 2001
From: zhongtao <zhongtao17@huawei.com>
Date: Thu, 1 Feb 2024 10:48:45 +0800
Subject: [PATCH 32/43] add test that isulad cannot set cpu_rt parameters when
adding cgroup v2
Signed-off-by: zhongtao <zhongtao17@huawei.com>
---
CI/test_cases/container_cases/cpu_rt.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/CI/test_cases/container_cases/cpu_rt.sh b/CI/test_cases/container_cases/cpu_rt.sh
index bdc43a5e..23d3baed 100755
--- a/CI/test_cases/container_cases/cpu_rt.sh
+++ b/CI/test_cases/container_cases/cpu_rt.sh
@@ -106,7 +106,10 @@ function test_kernel_without_cpurt()
msg_info "${test} starting..."
- start_isulad_without_valgrind --cpu-rt-period 1000000 --cpu-rt-runtime 950000
+ isulad --cpu-rt-period 1000000 --cpu-rt-runtime 950000 2>&1 | grep 'Your kernel does not support cgroup rt period'
+ [[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - kernel does not support cpu-rt, but start isulad with cpu-rt success" && ((ret++))
+
+ start_isulad_without_valgrind
isula pull ${image}
[[ $? -ne 0 ]] && msg_err "${FUNCNAME[0]}:${LINENO} - failed to pull image: ${image}" && return ${FAILURE}
--
2.34.1
|